<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 65;

$settingsArray = array();
$tool4Settings = ToolSettingsAPI::getToolSettings(4);

$setting = new Setting();
$setting->name = 'demnaechst_style';
$setting->description = 'Demnächst';
$setting->help = 'In der Standard-Ansicht werden die Links auf Zeiträume 
Heute, Morgen, Diese Woche (von - bis), N&auml;chste Woche (von - bis) generiert. 
In der Sicht 206 (Demn&auml;chst) können die Zeitr&auml;ume beliebig definiert werden.
';
$setting->subGroup = 'Demnächst';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '0' => 'wird generiert (Standard)',
  '1' => 'ist frei definierbar (Sicht 206)'
  );
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'demnaechstShowDefault';
$setting->description = 'Default-Fall aufrufen';
$setting->help = '';
$setting->subGroup = 'Demnächst';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'demnaechstDefault';
$setting->description = 'Zeitraum für Default-Fall';
$setting->help = '[Format: von:TT.MM.JJJJ;bis:TT.MM.JJJJ oder von:Variable;bis:Variable]
(ansonsten: von:{%sys_datum%};bis:{%sys_datum_naechstewocheende%})';
$setting->subGroup = 'Demnächst';
$setting->toolId = 4;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'demnaechstKennz';
$setting->description = 'Nur Kurse mit folgenden Kennzeichen anzeigen';
$setting->help = 'Mehrere Kennzeichen können Sie mit Komma getrennt eintragen (z.B.: 1,2)';
$setting->subGroup = 'Demnächst';
$setting->toolId = 4;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->description = 'Demnächstmenü Separat';
$setting->help = 'Die Einstellungen für die zweite Variante des Demnächstmenüs können jetzt unter dem Punkt <a href="index.php?action=settings&sub1=3&sub2=17">Layout/Demnächstmenü</a> gemacht werden.';
$setting->subGroup = 'Demnächstmenü Separat';
$setting->config->loadConfiguration(SC_INFOTEXT);
array_push($settingsArray, $setting);



$setting = new Setting();
$setting->name = 'restpkurseproseite';
$setting->description = 'Anzahl anzuzeigender Kurse';
$setting->help = '';
$setting->subGroup = 'Restplatzbörse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'restpanzahlwerktage';
$setting->description = 'Anzahl anzuzeigender Werktage';
$setting->help = 'Für die Anzeige werden die nächsten X Werktage berücksichtigt. Bis auf Sonntage werden alle Wochentage als Werktag gewertet, Feiertage werden nicht berücksichtigt.';
$setting->subGroup = 'Restplatzbörse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'restpveranart';
$setting->description = 'Schlüssel der Veranstaltungsart(en)';
$setting->help = 'Mehrere Veranstaltungsarten können Sie mit Komma getrennt eintragen (z.B.: 01,21).
Die Veranstaltungsart finden Sie in ' . KUFERSQL . ' auf der ersten und dritten Seite des Kursstamms.
Falls Sie hier nichts eingeben, spielt die Veranstaltungsart der Kurse keine Rolle.';
$setting->subGroup = 'Restplatzbörse';
$setting->toolId = 4;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'restpFuerAnmeldungGesperrteKurseAusblenden';
$setting->description = 'Kurse ausblenden, die nicht zur Anmeldung freigegeben sind';
$setting->help = '';
$setting->subGroup = 'Restplatzbörse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'restpzeigeausgebuchtekurse';
$setting->description = 'Auch ausgebuchte Kurse anzeigen';
$setting->help = '';
$setting->subGroup = 'Restplatzbörse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'restpnurnichtausfall';
$setting->description = 'Ausgefallene Kurse nicht anzeigen';
$setting->help = '';
$setting->subGroup = 'Restplatzbörse';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->subGroup = 'Restplatzbörse';
if ($tool4Settings->unterkurseInDerKurssucheAusblenden) {
  $setting->description = 'Bitte beachten Sie, dass unter <a href="index.php?action=settings&sub1=3&sub2=3">Einstellungen / Layout / Kurssuche</a> die Option "Unterkurse ausblenden" aktiv ist - es werden auch hier keine Unterkurse angezeigt.';
} else {
  $setting->description = 'Falls Sie mit Unterkursen arbeiten, können Sie über die Option "Unterkurse ausblenden" unter <a href="index.php?action=settings&sub1=3&sub2=3">Einstellungen / Layout / Kurssuche</a> auch verhindern, dass hier Unterkurse angezeigt werden.';
}
$setting->config->loadConfiguration(SC_INFOTEXT);
array_push($settingsArray, $setting);